from person_14 import Person, Manager                 # Załadowanie naszych klas
bob = Person('Robert Zielony')                        # Ponowne utworzenie obiektów do przechowania
anna = Person('Anna Czerwona', job='programista', pay=100000)
tom = Manager('Tomasz Czarny', 50000)

import shelve
db = shelve.open('persondb')                     # Nazwa pliku, w którym przechowywane są obiekty
for obj in (bob, anna, tom):                      # Użycie atrybutu name obiektu jako klucza
    db[obj.name] = obj                           # Przechowanie obiektu w pliku shelve po kluczu
db.close()                                       # Zamknięcie po wprowadzeniu zmian

